# IMPORTANT

Please do not create a Pull Request without creating an issue first.

## Before Submitting a Pull Request

- [ ] Have you read ImageMapster's [Code of Conduct](https://github.com/jamietre/ImageMapster/blob/main/CODE_OF_CONDUCT.md)? By creating a Pull Request, you are expected to comply with it, including treating everyone with respect.
- [ ] Have you read ImageMapster's [Contributing Guidelines](https://github.com/jamietre/ImageMapster/blob/main/CONTRIBUTING.md)? If not, please review them before submitting.
- [ ] Have you searched [open pull requests](https://github.com/jamietre/ImageMapster/pulls?q=is%3Aopen+is%3Apr) to ensure there isn't another PR for the same update/change?
- [ ] In lieu of a style guide, have you taken care to maintain existing coding style?
- [ ] Have you confirmed that all tests pass?
- [ ] Have you confirmed that the project builds successfully?

## What is this change for?

- [ ] Feature / enhancement - _Any change should be discussed in the associated Issue before proceeding. Failure to do so may result in the rejection of the pull request._
- [ ] Bug
- [ ] Docs
- [ ] Tests

## Description (required)

_**Please provide enough information so that others can review your pull request.**_
Explain the **details** for making this change. What existing problem does the pull request solve and/or what capability does it add?
Example: When "Adding a function to do X", explain why it is necessary to have a way to do X.

## Test plan (required)

Demonstrate the code is solid. Example: The exact commands you ran and their output, screenshots / videos if the pull request changes UI. The existing test framework (iqTest) is somewhat limited so if you are unable to add a test due to a limitation in the framework, please instead create a new example specific to the functionality changed/added covered in the PR.

## Closing issues

Put `Closes #XXXX` in your comment to auto-close the issue that your PR fixes/addresses.
